body {
    background-color: #eeeeee;
    font-family: sans-serif;
}
@media (max-width: 768px) {
    body.painting {
        overflow: hidden;
        overscroll-behavior: none;
    }
}

.container {
    max-width: 1200px;
    margin: 0 auto;
    overflow: hidden;
}
@media (max-width: 768px) {
    .container {
        padding: 0 15px;
    }
}

.artboard canvas {
    border: 1px solid black;
    background-color: #eeeeee;
}

.artboard .controls {
    display: flex;
    align-items: stretch;
    gap: 10px;
    margin-top: 20px;
    margin-bottom: 20px;
    & > * + * {
        padding-left: 10px;
        border-left: 3px solid black;
    }
    & > div {
        display: flex;
        align-items: center;
        gap: 5px;
    }
    .bc-palette {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
        button {
            display: inline-block;
            height: 24px;
            width: 24px;
            &.active {
                border: 1px solid #000;
                border-bottom-color: #eeeeee;
                border-right-color: #eeeeee;
            }
        }
    }
}
@media (max-width: 768px) {
    .artboard .controls {
        flex-direction: column;
        & > * + * {
            padding-left: 0;
            border-left: 0;
        }
    }
}